import { TdChartOptionsService, ITdItemStyle, ITdMarkPoint, ITdMarkLine, ITdMarkArea, ITdSeries, ITdLabel, TdSeriesDirective } from '@covalent/echarts/base';
import * as i0 from "@angular/core";
export declare type TdMapValueCalculation = 'sum' | 'average' | 'max' | 'min';
export declare type TdMapSeriesLayoutBy = 'column' | 'row';
export interface ITdMapScaleLimit {
    min?: number;
    max?: number;
}
export interface ITdMapItemStyle {
    areaColor?: ITdItemStyle;
    emphasis?: ITdItemStyle;
}
export interface ITdMapSeries extends ITdSeries {
    map?: string;
    roam?: boolean;
    center?: number[];
    aspectScale?: number;
    boudingCoords?: any[];
    zoom?: number;
    scaleLimit?: ITdMapScaleLimit;
    nameMap?: object;
    selectedMode?: boolean | string;
    label?: ITdLabel;
    itemStyle?: ITdMapItemStyle;
    zLevel?: number;
    z?: number;
    left?: string | number;
    top?: string | number;
    right?: string | number;
    bottom?: string | number;
    layoutCenter?: any[];
    layoutSize?: any[];
    geoIndex?: number;
    mapValueCalculation?: TdMapValueCalculation;
    showLegendSymbol?: boolean;
    seriesLayoutBy?: string;
    data?: any[];
    markPoint?: ITdMarkPoint;
    markLine?: ITdMarkLine;
    markArea?: ITdMarkArea;
    silent?: boolean;
}
export declare class TdChartSeriesMapComponent extends TdSeriesDirective implements ITdMapSeries {
    map?: string;
    roam?: boolean;
    center?: number[];
    aspectScale?: number;
    boudingCoords?: any[];
    zoom?: number;
    scaleLimit?: ITdMapScaleLimit;
    nameMap?: object;
    selectedMode?: boolean | string;
    label?: ITdLabel;
    itemStyle?: ITdMapItemStyle;
    zLevel?: number;
    z?: number;
    left?: string | number;
    top?: string | number;
    right?: string | number;
    bottom?: string | number;
    layoutCenter?: any[];
    layoutSize?: any[];
    geoIndex?: number;
    mapValueCalculation?: TdMapValueCalculation;
    showLegendSymbol?: boolean;
    seriesLayoutBy?: string;
    markPoint?: ITdMarkPoint;
    markLine?: ITdMarkLine;
    markArea?: ITdMarkArea;
    silent?: boolean;
    constructor(_optionsService: TdChartOptionsService);
    getConfig(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<TdChartSeriesMapComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TdChartSeriesMapComponent, "td-chart-series[td-map]", never, { "config": "config"; "id": "id"; "name": "name"; "color": "color"; "data": "data"; "animation": "animation"; "animationThreshold": "animationThreshold"; "animationDuration": "animationDuration"; "animationEasing": "animationEasing"; "animationDelay": "animationDelay"; "animationDurationUpdate": "animationDurationUpdate"; "animationEasingUpdate": "animationEasingUpdate"; "animationDelayUpdate": "animationDelayUpdate"; "tooltip": "tooltip"; "map": "map"; "roam": "roam"; "center": "center"; "aspectScale": "aspectScale"; "boudingCoords": "boudingCoords"; "zoom": "zoom"; "scaleLimit": "scaleLimit"; "nameMap": "nameMap"; "selectedMode": "selectedMode"; "label": "label"; "itemStyle": "itemStyle"; "zLevel": "zLevel"; "z": "z"; "left": "left"; "top": "top"; "right": "right"; "bottom": "bottom"; "layoutCenter": "layoutCenter"; "layoutSize": "layoutSize"; "geoIndex": "geoIndex"; "mapValueCalculation": "mapValueCalculation"; "showLegendSymbol": "showLegendSymbol"; "seriesLayoutBy": "seriesLayoutBy"; "markPoint": "markPoint"; "markLine": "markLine"; "markArea": "markArea"; "silent": "silent"; }, {}, never, never>;
}
